Skip to content

Get outbound email

GET
/api/emails/outbound/{outboundEmailId}

Return the current delivery state for an outbound email, including sender details, provider identifiers, timestamps, recipient status, a delivery summary, and provider delivery events. Only outbound emails accessible to the API key can be retrieved.

Authorizations

ApiKey
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

outboundEmailId*
Type
string
Required

Responses

application/json
JSON
{
  
"id": "string",
  
"organisation_id": "string",
  
"type": "string",
  
"status": "string",
  
"from": {
  
  
"email": "support@mynamespace.mailisk.net",
  
  
"name": "Support"
  
},
  
"reply_to": {
  
  
"email": "support@mynamespace.mailisk.net",
  
  
"name": "Support"
  
},
  
"subject": "string",
  
"recipient_count": 0,
  
"attachment_count": 0,
  
"message_id": "string",
  
"provider": "string",
  
"provider_message_id": "string",
  
"failure_reason": "string",
  
"queued_at": "string",
  
"sending_at": "string",
  
"sent_at": "string",
  
"failed_at": "string",
  
"created_at": "string",
  
"updated_at": "string",
  
"delivery_summary": {
  
  
"pending": 0,
  
  
"accepted": 0,
  
  
"queued": 0,
  
  
"sent": 0,
  
  
"delayed": 0,
  
  
"deferred": 0,
  
  
"delivered": 0,
  
  
"bounced": 0,
  
  
"expired": 0,
  
  
"complained": 0,
  
  
"unsubscribed": 0,
  
  
"suppressed": 0,
  
  
"rejected": 0,
  
  
"failed": 0,
  
  
"cancelled": 0
  
},
  
"recipients": [
  
  
{
  
  
  
"id": "string",
  
  
  
"type": "string",
  
  
  
"email": "string",
  
  
  
"name": "string",
  
  
  
"delivery_status": "string",
  
  
  
"last_event_type": "string",
  
  
  
"last_event_at": "string",
  
  
  
"accepted_at": "string",
  
  
  
"queued_at": "string",
  
  
  
"sent_at": "string",
  
  
  
"delayed_at": "string",
  
  
  
"deferred_at": "string",
  
  
  
"delivered_at": "string",
  
  
  
"bounced_at": "string",
  
  
  
"expired_at": "string",
  
  
  
"complained_at": "string",
  
  
  
"unsubscribed_at": "string",
  
  
  
"suppressed_at": "string",
  
  
  
"rejected_at": "string",
  
  
  
"failed_at": "string",
  
  
  
"cancelled_at": "string",
  
  
  
"last_smtp_code": "string",
  
  
  
"last_enhanced_status_code": "string",
  
  
  
"last_smtp_response": "string",
  
  
  
"attempt_count": 0,
  
  
  
"bounce_type": "string",
  
  
  
"bounce_subtype": "string",
  
  
  
"bounce_classification": "string",
  
  
  
"complaint_feedback_type": "string"
  
  
}
  
],
  
"events": [
  
  
{
  
  
  
"id": "string",
  
  
  
"provider": "string",
  
  
  
"provider_message_id": "string",
  
  
  
"provider_event_id": "string",
  
  
  
"event_type": "string",
  
  
  
"event_subtype": "string",
  
  
  
"occurred_at": "string",
  
  
  
"recipients": [
  
  
  
  
{
  
  
  
  
  
"id": "string",
  
  
  
  
  
"outbound_email_recipient_id": "string",
  
  
  
  
  
"email": "string",
  
  
  
  
  
"smtp_code": "string",
  
  
  
  
  
"enhanced_status_code": "string",
  
  
  
  
  
"smtp_response": "string",
  
  
  
  
  
"diagnostic_code": "string",
  
  
  
  
  
"action": "string",
  
  
  
  
  
"attempt_count": 0,
  
  
  
  
  
"bounce_classification": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"created_at": "string"
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI